### GOOGLE ADS - APPLOVIN ADS - FACEBOOK ADS - CUSTOM ADS

# ADD IN PUBSPEC.YMAL

```dart
dependencies:
  google_applovin_unity_ads:
  get:
  flutter_screenutil:
```

# ADD IN ANDROID MANIFEST

```dart
//PERMISSION 
      <uses-permission android:name="android.permission.INTERNET" />
      <uses-permission android:name="com.google.android.gms.permission.AD_ID"/>

<applicaton

<meta-data
    android:name="com.google.android.gms.ads.AD_MANAGER_APP"
    android:value="true" />


//FOR ANDROID SPLASH SCREEN
<meta-data
    android:name="io.flutter.embedding.android.SplashScreenDrawable"
    android:resource="@drawable/launch_background" />

</application>
```

# ADD IN BUILD GRADEL

```dart
    multiDexEnabled true
    targetSdkVersion 33
```


# ADD IN VOID MAIN

```dart
void main() {
      WidgetsFlutterBinding.ensureInitialized();
      MobileAds.instance.initialize();
      runApp(const MyApp());
}
```

# INITIALISE ADS FIRST TIME

```dart
      fetchAdsSettings(
      appVersionCode: 1,
      settingsUrl:"https://gitlab.com/bitcodings/iptv_channels/-/raw/main/test_ads.json",
      keyName: "com.bitlinks.arebic.iptv.m3ulist")
      .then((value) => {});
```


# FOR OPEN AD

```dart
        initOpenAds(onOpenAdLoaded: () => {showOpenAds()}),
```

# FOR INTRA AD

```dart
        showIntraAds(callback: () => {});
```

# FOR REWARD AD

```dart
        showRewardAds(callback: () => {});
```

# FOR BANNER AD

```dart
        MAX HEIGHT
        bottomNavigationBar:showBannerAds(size: AdSize.mediumRectangle);

        MEDIUM HEIGHT
        bottomNavigationBar:showBannerAds(size: AdSize.largeBanner);

        NORMAL HEIGHT
        bottomNavigationBar:showBannerAds(size: AdSize.banner);
```


# FOR NATIVE AD

## ADD IN MAINACTIVITY.KT

```dart
import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import com.btcpiyush.ads.google_applovin_unity_ads.CustomNativeAd
import com.btcpiyush.ads.google_applovin_unity_ads.GoogleApplovinUnityAdsPlugin

class MainActivity: FlutterActivity() {
  override fun configureFlutterEngine(flutterEngine: FlutterEngine) {
    super.configureFlutterEngine(flutterEngine)
    val factory: CustomNativeAd =
        CustomNativeAd(
            getLayoutInflater()
        )
    GoogleApplovinUnityAdsPlugin.registerNativeAdFactory(flutterEngine, "nativeFactoryId", factory)
  }

  override fun cleanUpFlutterEngine(flutterEngine: FlutterEngine) {
    GoogleApplovinUnityAdsPlugin.unregisterNativeAdFactory(flutterEngine, "nativeFactoryId")
  }
}
```

## LOAD NATIVE ADS

```dart
        Widget native = Container(height: 0);

@override
void initState() {
  // TODO: implement initState
  super.initState();
  loadNativeAds(
      onAdLoadedCallback: () => {
        setState(() {
          native = showNativeAds(size: Size(double.infinity, 350.h));
        })
      });
}
```

## SHOW NATIVE ADS

```dart
        native,
```
